﻿using System.Runtime.Serialization;
namespace ProjectAircraftCarrier.Exceptions
{
    [Serializable]
    internal class StorageOverflowException : ApplicationException
    {
        public StorageOverflowException(int count) : base($"The allowed " +
            $"number is exceeded in the set: { count}") { }
        public StorageOverflowException() : base() { }
        public StorageOverflowException(string message) : base(message) { }
        public StorageOverflowException(string message, Exception exception)
            : base(message, exception) { }
        protected StorageOverflowException(SerializationInfo info, 
            StreamingContext contex) : base(info, contex) { }
    }
}
