﻿using System.Runtime.Serialization;
namespace ProjectAircraftCarrier.Exceptions
{
    [Serializable]
    internal class WarshipNotFoundException : ApplicationException
    {
        public WarshipNotFoundException(int i) : base($"Object not found at" +
            $" position {i}") { }
        public WarshipNotFoundException() : base() { }
        public WarshipNotFoundException(string message) : base(message) { }
        public WarshipNotFoundException(string message, Exception exception) :
            base(message, exception) { }
        protected WarshipNotFoundException(SerializationInfo info,
            StreamingContext contex) : base(info, contex) { }
    }
}

